<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CAttacker Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classCAttacker.html">CAttacker</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classCAttacker.html#ab80d734314eeb349e86931d2d50289d9">attack</a>(CTower &amp;dst)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCAttacker.html#a5173f06a05a13aaedbc922dfd5379ba8">CAttacker</a>(char symbol, const string &amp;name, int hp, int attack, int range, int speed, int parentID)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCAttacker.html#abf388fe012f5703cd33ed2b17a0f8415">clone</a>() const =0</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCAttacker.html#a82ee1f8ecbb8754f223c2eba3cf799a3">defend</a>(CTower &amp;src)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCAttacker.html#aa0b6e1fcbee3cb390d252d5f8c4474f7">defend</a>(CMedic &amp;src)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCAttacker.html#a27352022dbe260beae06e7cd535062dc">defend</a>(CArtillery &amp;src)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCEntity.html#a9ab2d129368e2d3acfec883129439e1c">discover</a>() const</td><td class="entry"><a class="el" href="classCEntity.html">CEntity</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>getAttack</b>() const (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCAttacker.html#a2fda02cade366510afb500d22143b558">getHp</a>() const</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCAttacker.html#ab80eeb5cfe0dc7ac9979a35a60cfb7c3">hasInRange</a>(const TCoord &amp;src) const</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCEntity.html#a5bedcc5d44f5b4a65d8abd8bc7766588">isPath</a>() const</td><td class="entry"><a class="el" href="classCEntity.html">CEntity</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>m_attack</b> (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>m_entranceID</b> (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>m_hp</b> (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>m_name</b> (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>m_parentID</b> (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>m_pathIt</b> (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>m_pathToEnd</b> (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>m_pos</b> (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>m_range</b> (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>m_speed</b> (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>m_speedCnt</b> (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>m_steps</b> (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>m_symbol</b> (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCAttacker.html#ac99d568c2cdce5d0c35b42bf16d9302f">move</a>()</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCAttacker.html#ad3f22ead3302344cc23defe93994e6db">nextMove</a>(int maxSpeed)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCAttacker.html#a2e6cbcd2b80ad9fc8efd1251b9b2fb9d">operator&lt;&lt;</a>(ostream &amp;os, const CAttacker &amp;attacker)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>position</b>() const (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCAttacker.html#a6887b2124aa6480e067bbf928a718142">print</a>(ostream &amp;os) const</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCAttacker.html#aa67f5bd7e030fc3b93b3f4e6891f0477">printDetails</a>(ostream &amp;os) const</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCAttacker.html#a5d1bd8010d5f5628dd4a0bd8a973a3bb">resetSpeedCnt</a>()</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCAttacker.html#abc8bae44906274f3340bc91858367ead">save</a>(ofstream &amp;ofs) const</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>setEntrance</b>(int entranceIdx) (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCAttacker.html#ab8640dff4a1129c25c59af1f217995fb">setHp</a>(int hp)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCAttacker.html#a317e10be6678348685f76eca1aa2e67f">setPath</a>(const list&lt; TCoord &gt; &amp;path)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCAttacker.html#a84a16391de74e89f0cbba0b134f1cd90">speed</a>() const</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCAttacker.html#a7b0fb16fc8285e01ee8f7cedc5343571">symbol</a>() const</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~CAttacker</b>()=default (defined in <a class="el" href="classCAttacker.html">CAttacker</a>)</td><td class="entry"><a class="el" href="classCAttacker.html">CAttacker</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCEntity.html#a833f1423fd7e0f2096517b100c44db72">~CEntity</a>()=default</td><td class="entry"><a class="el" href="classCEntity.html">CEntity</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
